FreePBX Error: Trying to remove "sangoma-pbx", which is protected



  • You might have run into this error while attempting to do a yum based update of a Sangoma FreePBX 14 system. This can be caused by an accidentally released high level package that is no longer in the repos and needs to be backed out.

    You should be able to fix this with this command:

    yum downgrade kmod-forcedeth
    

    Once you do this...

    yum upgrade
    

    As usual and you should be all set.